### Method

# Tsparql SparqlCursor get_datetime

since: 3.2

#### Declaration [src]

    GDateTime*
    tracker_sparql_cursor_get_datetime (
      TrackerSparqlCursor* cursor,
      gint column
    )

#### Description [src]

Retrieves a `GDateTime` pointer for the current row in `column`.

Available since: 3.2

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve (first one is 0).

#### Return value

Type: `GDateTime`

`GDateTime` object, or `NULL` if the given column does not contain a xsd:date or xsd:dateTime.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.